#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H

#include "FEventProcessorThread.h"
#include "FParamBrutSimple.h"




class RHB_Custom : public FEventProcessorThread {

  protected:

    //  RHB parameters
    FParam           *signal;                  //  existing param   : sampled signal

    FParamBrutSimple *qdc_tot;                 //  new custom param : total charge of the signal
    FParamBrutSimple *qdc_fast;                //  new custom param : fast charge
    FParamBrutSimple *qdc_ratio;               //  new custom param : fast/total charge ratio
    FParamBrutSimple *unknowns;                //  new custom param : unknown counter
    FParamBrutSimple *neutrons;                //  new custom param : neutron counter
    FParamBrutSimple *gammas;                  //  new custom param : gamma counter

    //  Internal variables
    Int_t            nu;                       //  nb unknowns
    Int_t            nn;                       //  nb neutrons
    Int_t            ng;                       //  nb gammas
    Double_t         charge_thres;             //  charge threshold (under that level -> unkown)
    Double_t         ratio_thres;              //  charge ratio threshold (discri neutron gamma)
    Int_t            nb_fast;                  //  nb of samples defining the fast charge

  public:

    virtual void     InitParams     (void);    //  rhb parameters initialisation  (see .C code)
    virtual void     SetParamValues (void);    //  custom parameters calculations (see .C code)

    ClassDef (RHB_Custom, 1)

};

#endif

