#ifndef RHB_CUSTOM_H
#define RHB_CUSTOM_H

#include "FEventProcessorThread.h"
#include "FParamBrutSimple.h"




class RHB_Custom : public FEventProcessorThread {

  protected:

    //  existing parameter (declared in the .pid file)
    //  the SAMPLER data from CH1 (sampled signal)
    FParam           *signal;

    //  additional custom parameters used to retrieve
    //  some quantitatives infos from the signal
    FParamBrutSimple *nb_pts;
    FParamBrutSimple *base_line;
    FParamBrutSimple *charge;
    FParamBrutSimple *max;
    FParamBrutSimple *min;
    FParamBrutSimple *fwhm;
    FParamBrutSimple *risetime;

  public:

    virtual void  InitParams     (void);  //  creation and initialisation of the parameters
    virtual void  SetParamValues (void);  //  update of the new parameters each time a data is read

    ClassDef (RHB_Custom, 1)

};

#endif

